Subject: Re: linux-next: manual merge of the tip tree with the arm tree

From: Thomas Gleixner <[email-masked]>
Date: Fri, 13 May 2011 12:04:18 +0200 (CEST)

On Fri, 13 May 2011, Ingo Molnar wrote:
> * Russell King - ARM Linux <[email-masked]> wrote:
> 
> > On Fri, May 13, 2011 at 10:06:34AM +0200, Ingo Molnar wrote:
> > > 
> > > * Stephen Rothwell <[email-masked]> wrote:
> > > 
> > > > Hi all,
> > > > 
> > > > Today's linux-next merge of the tip tree got a conflict in 
> > > > arch/x86/kernel/i8253.c between commit 3490f584b9ba ("clocksource: convert 
> > > > x86 to generic i8253 clocksource") from the arm tree and commit b01cc1b0eae0 
> > > > ("x86: Convert remaining x86 clocksources to clocksource_register_hz/khz") 
> > > > from the tip tree.
> > > > 
> > > > The former seems to supercede the latter, so I used the former.
> > > 
> > > Russell, how the heck did this commit:
> > > 
> > >  commit 3490f584b9ba5a0b6f63832fbc9c5ec72506697b
> > >  Author:     Russell King <[email-masked]>
> > >  AuthorDate: Sun May 8 18:55:19 2011 +0100
> > >  Commit:     Russell King <[email-masked]>
> > >  CommitDate: Tue May 10 08:20:54 2011 +0100
> > > 
> > >     clocksource: convert x86 to generic i8253 clocksource
> > > 
> > > which has such a clearly x86 diffstat:
> > > 
> > >  arch/x86/Kconfig             |    1 +
> > >  arch/x86/include/asm/i8253.h |    2 +
> > >  arch/x86/kernel/i8253.c      |   79 +-----------------------------------------
> > >  3 files changed, 4 insertions(+), 78 deletions(-)
> > > 
> > > end up in the ARM tree without an ack from an x86 maintainer??
> > 
> > The "no response" means two things: either that people are busy, [...]
> 
> Had you asked us before committing it one day after it was posted, or had you 
> *noticed* that those files are not in your tree and are already modified in 
> linux-next, you'd have gotten a response like:
> 
> --------------->
> 
> Yes, the change looks good to me as well in principle. Thomas is busy this 
> week, he is on a conference.

I saw it and missed it to reply, sorry.
 
> Guys if you want to do this outside of the x86 tree please test this series
> thoroughly on x86 as well before pushing it out anywhere permanent or pushing
> it into linux-next.
> 
> Also note that there's also some pending changes in the x86 tree modifying
> arch/x86/kernel/i8253.c:
> 
>   b01cc1b0eae0: x86: Convert remaining x86 clocksources to clocksource_register_hz/khz
> 
> If you want to do any further change to this file you need to pull in this 
> change first or need to resolve the conflict in some other way.

If it makes things easier I can pull it through the tip/timers/.... as
well. Just let me know.

Thanks,

	tglx